Bug 58817 - top does not toggle I mode
top does not toggle I mode
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-25 00:03 EST by John Newbigin
Modified: 2007-04-18 12:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-01 10:07:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Newbigin 2002-01-25 00:03:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (WinNT; U)

Description of problem:
I is meant to toggle between individual CPU stats and summary CPU stats.  Top however only ever shows the individual CPU stats.

This only effects SMP machines.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run top on an SMP machine
2. press 'I'
3. see that nothing happens
	

Actual Results:  CPU0 states: 98.1% user,  1.2% system, 98.2% nice,  0.0% idle
CPU1 states: 100.0% user,  0.1% system, 100.0% nice,  0.0% idle
CPU2 states: 91.0% user,  9.0% system, 16.4% nice,  0.0% idle
CPU3 states: 100.0% user,  0.1% system, 100.0% nice,  0.0% idle


Expected Results:  CPU states:  2.0% user,  1.6% system,  0.0% nice, 96.2% idle

Additional info:
Comment 1 Alexander Larsson 2002-08-08 10:09:11 EDT
No. I toggles between IRIX and solaris mode. Comment in the code:
	/*
	 * If in Sun-mode, adjust cpu percentage not only for
	 * the cpu the process is running on, but for all cpu together.
	 */

Note You need to log in before you can comment on or make changes to this bug.